package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.DoctorAdviceDTO;
import com.diagbot.entity.DoctorAdvice;
import com.diagbot.vo.DoctorAdviceVO;

import java.util.List;

/**
 * <p>
 * 病人医嘱 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
public interface DoctorAdviceMapper extends BaseMapper<DoctorAdvice> {
    public void updateBatchByKey(List<DoctorAdvice> list);

    IPage<DoctorAdviceDTO> getPage(DoctorAdviceVO doctorAdviceVO);
}
